petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsSetMinTimeStep

Smallest time step to be chosen by the adaptive controller.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetMinTimeStep(TS ts,PetscReal mindt)

### Input Parameter

| ts | - the time-step context Many br
| mindt | - lowest time step if positive, negative to deactivate Many br

### Note

Sundials will error if it is not possible to keep the estimated truncation error below Many brthe tolerance set with TSSundialsSetTolerance() without going below this step size. Many br

Many br

### See Also

TSSundialsSetType(), TSSundialsSetTolerance(),

Level:beginner
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages